var DevtoolsAssistant = Class.create({

	initialize: function() {
		this.getStayOnSetting = DisplayService.getStayOnWhenConnected(this.updateStayOnSettings.bind(this));
		this.getDeveloperModeSetting = NovacomService.getNovacomMode(this.updateDeveloperModeSettings.bind(this));
	},

	onOffToggleOpt: {
        modelProperty: 'value',
        enableProp: 'enabled',        
    },

    stayOnToggleModel: {                                                                                               
        value: false,                                                                                                  
    },
    
    developerModeToggleModel: {                                                                                               
        value: false,                                                                                                  
    },

	setup: function(){

		this.controller.setupWidget('stayOnWhenConnected', this.onOffToggleOpt, this.stayOnToggleModel);
		Mojo.Event.listen($('stayOnWhenConnected'),'mojo-property-change', this.toggleStayOnWhenConnected.bindAsEventListener(this));
		
		this.controller.setupWidget('developerMode', this.onOffToggleOpt, this.developerModeToggleModel);
		Mojo.Event.listen($('developerMode'),'mojo-property-change', this.toggleDeveloperMode.bindAsEventListener(this));
				
		//App Menu - Remove default items and add only Edit & Help items.
		var appMenuModel = {
	        visible: false,
	        items: [{label:$L('Help...'), command:Mojo.Menu.helpCmd}]
		};
		this.controller.setupWidget(Mojo.Menu.appMenu, {omitDefaultItems:true}, appMenuModel);
	},

	handleCommand: function(event) {
		if (event.type == Mojo.Event.command) {
			if(event.command == Mojo.Menu.helpCmd) {
				new Mojo.Service.Request('palm://com.palm.applicationManager', {
					method: 'open',
					parameters: {'id': 'com.palm.app.help',params: {'target': 'http://help.palm.com/screen/index.html'}}});
			}
		}	
	},

	toggleStayOnWhenConnected: function(event) {
		if(!event)
			return;
		DisplayService.setStayOnWhenConnected(event.value);
	},
	
	toggleDeveloperMode: function(event) {
		if(!event)
			return;
		NovacomService.setNovacomMode(event.value);
	},

	updateStayOnSettings: function(payload){
		if (!payload)
			return;
		if (payload.onWhenConnected != undefined) {
			this.stayOnToggleModel.value = payload.onWhenConnected;
			this.controller.modelChanged(this.stayOnToggleModel, this);
		}
	},
	
	updateDeveloperModeSettings: function(payload){
		if (!payload)
			return;
		if (payload.isEnabled != undefined) {
			this.developerModeToggleModel.value = payload.isEnabled;
			this.controller.modelChanged(this.developerModeToggleModel, this);
		}
	},
		
});